Skip to main content
POST
/
agents
/
{agent_id}
/
revisions
/
{build_id}
/
integrations
/
{integration_id}
/
connections
Pin connection to build integration
curl --request POST \
  --url https://api.duvo.ai/v1/agents/{agent_id}/revisions/{build_id}/integrations/{integration_id}/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

Agent ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
build_id
string<uuid>
required

Build ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
integration_id
string<uuid>
required

Integration ID (catalog integration ID or slot ID from the list response)

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
connection_id
string<uuid>
required

ID of one of your connections (from GET /v1/connections) to pin to this slot

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Default Response

success
boolean
required

True if the connection was pinned